#  Pixel Gun Encyclopedia Module
Currently working on this module! Display information on Pixel Gun weapons, gadgets, pets, skins, gameplay and many more! Currently working on weapons.

[![npm version][npm-image]][npm-url]
[![install size][install-size-image]][install-size-url]
[![Discord][discord-image]][discord-url]

![](https://nodei.co/npm/pg3dmodule.png)

**Note**: this node module requires discord.js version 12 to run

## Table of contents:


## Installation
```bash
npm install pg3dmodule # local module usage
```

## Usage
```javascript
const pg3dmodule = require('pg3dmodule')
```

### Menus
The menus function of this module allows you to send an embed with information about specific objects or items in game, shortly detailed with some information from the pg3d fandom.
```bash
message.channel.send(pg3dmodule.guns.gunmenu) # Sends an embed with information about guns
```

### Gun information
You can change exterminator with another name, e.g. <gunname>
None of the gun names are starting with capital letters, any gun name with a space would not have a capital on the second word, the Anti Champion Rifle becomes antichampionrifle, there wouldn't be any short forms or capital letters in the names.
```bash
message.channel.send(pg3dmodule.guns.exterminator) # Sends an embed with information about exterminator
```

### Gadget Information
Similar to how it would go with gun information. Still no capital letters or short form.
```bash
message.channel.send(pg3dmodule.gadgets.ninjashurikens) # Sends an embed with information about the gadget, ninja shurikens
```

## Credits
• Jeffplays2005 (me, the developer/maker of the module)

• People who wrote the fandom(where all the useful information comes from, special thanks to Just leafy, Luy and Notna) Link: https://pixelgun.fandom.com/

• Pixel gun 3d developers(Most thanks to them as they put so much effort into developing the game :))

## License
MIT © Jeffplays2005

[npm-image]: https://flat.badgen.net/npm/v/pg3dmodule
[npm-url]: https://www.npmjs.com/package/pg3dmodule
[install-size-image]: https://flat.badgen.net/packagephobia/install/pg3dmodule
[install-size-url]: https://packagephobia.com/result?p=pg3dmodule
[discord-image]: https://img.shields.io/discord/726281880047058984?color=%237289DA&label=Discord&style=flat-square
[discord-url]: https://discord.gg/ZtejugY
